<?php
/** @file
 *
 * @note 
 * Copyright (C) 2007-2010 Thomas ZILLIOX
 * 
 * This file is part of ZPHOTOS EXPRESS.
 * 
 * ZPHOTOS EXPRESS is free script: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License.
 * 
 * ZPHOTOS EXPRESS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with ZPHOTOS EXPRESS. If not, see <http://www.gnu.org/licenses/>.
 * 
 * You can contact the author by e-mail thomas@zilliox.me
 * 
 * @todo Tester sous PHP4 (passage par référence!)
 *
 * @note
 * Prévu pour la version 2.1 :
 *  - Gestion des pages
 *  - customisation de la main page
 *  - Faire d'autres thèmes
 */

// Indicate the path to the Zphoto librairy
require('./sources/Controller/Zphotos_Controller.php');
require('./sources/Model/Zphotos_Options.php');

/*** Options ***/
// Activation du Rewrite Rule
$options = new Zphotos_Options(false);
// Url vers votre album. 
// Si Rewrite Rule est activé, l'url doit être en absolu (commençant pas http://)
// Cette url est également à indiquer à chaque ligne du htaccess
$options->setZphotosUrl('./example.php');
// Chemin vers vos photos à partir de ce fichier
$options->setPhotosRootPath('./photos/');
// Nom du premier album, si différent du nom du dossier
$options->setRootAlbumName('Europa Park');
// Est-ce que l'on doit utiliser les descriptions des albums pour les photos n'en ayant pas
$options->setIsInheritedDescription(true);
// On utilise les options
$zphotos = new Zphotos_Controller($options);
// Choix du thème
echo $zphotos->show('Zen_Journey');
?>